Futures Isolated

Get funding fees

GET/futures/isolated/funding-feesPrivate

Get the funding fees paid for all the isolated trades, or for a specific trade using tradeId

Permissions: futures:isolated:read

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-09-12T10:28:28.249Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?string

Cursor for pagination

Formatdate-time
tradeId?string

Trade id to filter by

Response Body

OK

application/json
  1. response
data*array<>
nextCursor*|

Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.futures.isolated.getFundingFees({  from: '1970-01-01T00:00:00.000Z',  to: '2026-09-12T10:28:26.634Z',  limit: 500,  tradeId: 'eb6ccf09-140f-4207-8a56-3f91e16a445c'})
{  "data": [    {      "time": "2025-01-01T00:00:00.000Z",      "tradeId": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",      "settlementId": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",      "fee": 10    }  ],  "nextCursor": "2024-01-15T10:30:00.000Z"}